Subject: Re: [RFC/PATCH 2/5] glossary: introduce glossary lookup command

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Dec 2014 12:06:45 -0800

Michael J Gruber <[email-masked]> writes:

>> I wondered if we want to also have the associated documentation in
>> response to a query, but I am not sure how well that would go
>> without having a translated glossary at least.  I.e. pulling the
>
> Yes, I think we would need something different then. The glossary
> entries are asciidoc which we can't format easily from the glossary
> command. I really think of the glossary command as being orthogonal to
> the definitory glossary. I guess I should name it "translate" instead.
> ...
>
>> original from glossary-content.txt would produce something like
>> this:
>> 
>> 	$ LANG=de git glossary -l blob object
>>         Blob-Objekten
>> 	Untyped <<def_object,object>>, e.g. the contents of a file.
>> 
>> which is not ideal.

I didn't mean the AsciiDoc part, though.  I meant that the contents
are not in LANG=de, which is not ideal.  So translating "blob object"
to whatever it is called in LANG=de, without the description, is the
best we can do without having a translated documentation set.